<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
</body>
<script>
    const listProperties = ["pulgadas","marcas","nombre","categoria","unidades","precio","servivio"];
    var tvSamsung ={
        nombre: "TV Samsung 42",
        categoria: "televisores",
        unidades: 4,
        precio: 345.95,

        getImporte(){
            return this.unidades * this.precio;
        }
    }   

function AddProperties(){
    for(let i = 0; i < 3;i++){
        propiedad = prompt("Añade nueva propiedad: ");
        let valor = prompt("Su valor: ");
        tvSamsung[propiedad]=valor;
    }

}

function ListProperties(){
    for(property of listProperties){
        if(!tvSamsung.hasOwnProperty(property)){
            tvSamsung[property] = undefined;
        } 
    }
}

function Properties(){
    let body = document.body
    let div = document.createElement("div");
    body.appendChild(div);
    for(property in tvSamsung){
        if(!(property == "getImporte")){
            let divProperty = document.createElement("div");
            div.appendChild(divProperty);
            let h3 = document.createElement("h3");
            divProperty.appendChild(h3);
            h3.textContent = property +": " + tvSamsung[property];
        }
       
    }
}
</script>
</html>